#include <bits/stdc++.h>

using namespace std;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n,k;
    cin>>n>>k;
    vector<int>a(n);
    for(int i=0;i<n;i++)cin>>a[i];

    int i=0;
    while(i<n){
        if(a[i]==k){
            if(i<n-1){
                cout<<a[i+1];
                return 0;
            }else{
                cout<<a[0];
                return 0;
            }
        }
        i++;
    }

}